socsvn commit: r269704 - in soc2014/kczekirda/pxe-fai-head/tools/mfsbsd: conf customfiles customfiles/etc

kczekirda at FreeBSD.org kczekirda at FreeBSD.org
Tue Jun 17 21:03:30 UTC 2014


Author: kczekirda
Date: Tue Jun 17 21:03:29 2014
New Revision: 269704
URL: http://svnweb.FreeBSD.org/socsvn/?view=rev&rev=269704

Log:
  mfsbsd auto installer

Added:
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/etc/
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/etc/installerconfig
Modified:
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/conf/rc.conf.sample
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/conf/rc.local.sample

Modified: soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/conf/rc.conf.sample
==============================================================================
--- soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/conf/rc.conf.sample	Tue Jun 17 20:32:36 2014	(r269703)
+++ soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/conf/rc.conf.sample	Tue Jun 17 21:03:29 2014	(r269704)
@@ -7,7 +7,7 @@
 # see the interfaces.conf file in this directory.
 #
 # Set this to any desired hostname
-hostname="mfsbsd"
+hostname="FreeBSDfai"
 #
 # You need a gateway defined for a working network setup
 #defaultrouter="192.168.0.254"

Modified: soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/conf/rc.local.sample
==============================================================================
--- soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/conf/rc.local.sample	Tue Jun 17 20:32:36 2014	(r269703)
+++ soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/conf/rc.local.sample	Tue Jun 17 21:03:29 2014	(r269704)
@@ -1,2 +1,62 @@
-# sample rc.local 
-# add your code below
\ No newline at end of file
+#!/bin/sh
+# $FreeBSD: head/release/rc.local 259686 2013-12-21 16:43:40Z dteske $
+
+: ${DIALOG_OK=0}
+: ${DIALOG_CANCEL=1}
+: ${DIALOG_HELP=2}
+: ${DIALOG_EXTRA=3}
+: ${DIALOG_ITEM_HELP=4}
+: ${DIALOG_ESC=255}
+
+MACHINE=`uname -m`
+
+kbdcontrol -d >/dev/null 2>&1
+if [ $? -eq 0 ]; then
+	# Syscons: use xterm, start interesting things on other VTYs
+	if [ ${MACHINE} = "pc98" ]; then
+		TERM=cons25w
+	else
+		TERM=xterm
+	fi
+
+	# Don't send ESC on function-key 62/63 (left/right command key)
+	kbdcontrol -f 62 '' > /dev/null 2>&1
+	kbdcontrol -f 63 '' > /dev/null 2>&1
+
+	if [ -z "$EXTERNAL_VTY_STARTED" ]; then
+		# Init will clean these processes up if/when the system
+		# goes multiuser
+		touch /tmp/bsdinstall_log
+		tail -f /tmp/bsdinstall_log > /dev/ttyv2 &
+		/usr/libexec/getty autologin ttyv3 &
+		EXTERNAL_VTY_STARTED=1
+	fi
+else
+	# Serial or other console
+	echo
+	echo "Welcome to FreeBSD!"
+	echo
+	echo "Please choose the appropriate terminal type for your system."
+	echo "Common console types are:"
+	echo "   ansi     Standard ANSI terminal"
+	echo "   vt100    VT100 or compatible terminal"
+	echo "   xterm    xterm terminal emulator (or compatible)"
+	echo "   cons25w  cons25w terminal"
+	echo
+	echo -n "Console type [vt100]: "
+	read TERM
+	TERM=${TERM:-vt100}
+fi
+export TERM
+
+if [ -f /etc/installerconfig ]; then
+	if bsdinstall script /etc/installerconfig; then
+		dialog --backtitle "FreeBSD Installer" --title "Complete" --no-cancel --ok-label "Reboot" --pause "Installation of FreeBSD complete! Rebooting in 10 seconds" 10 30 10
+		reboot
+	else
+		dialog --backtitle "FreeBSD Installer" --title "Error" --textbox /tmp/bsdinstall_log 0 0
+	fi
+	exit 
+fi
+
+

Added: soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/etc/installerconfig
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/etc/installerconfig	Tue Jun 17 21:03:29 2014	(r269704)
@@ -0,0 +1,29 @@
+PARTITIONS="ada0 { auto freebsd-ufs /}"
+DISTRIBUTIONS="kernel.txz base.txz"
+MIRROR="ftp://dell740"
+RELDIR="snapshots"
+RELEASE="11.0-CURRENT"
+KEYMAP="pl_PL.ISO8859-2"
+HOSTNAME="testscriptinstall"
+TIMEZONE="Europe/Warsaw"
+DAEMONS="sshd dumpdev"
+INTERFACE="em0"
+IPV4="YES"
+DHCP="YES"
+#ADDRESSV4="192.168.1.254"
+#NETMASK="255.255.255.0"
+#GWV4="192.168.1.1"
+#DOMAIN="example.com"
+#DNS1V4="194.204.159.1"
+#DNS2V4="8.8.8.8"
+#IPV6="NO"
+#SLAAC="YES"
+#ADDRESSV6="2001:db8:4672:6565:2026:5043:2d42:5344"
+#PREFIXV="64"
+#GWV6="2001:db8:4672:6565::1"
+#DNS1V6="2001:4860:4860::8888"
+#DNS2V6="2001:4860:4860::8844"
+
+#!/bin/sh
+echo "Installation complete, running in host system"
+


More information about the svn-soc-all mailing list